package net.wanji.datacenter.pojo.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/11/26 15:41
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class EventDataDTO {
    private String eventId;
    private String crossId;
    private String eventType;
    private String direction;
    private Double eventLongitude;
    private Double eventLatitude;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date eventStartTime;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date eventEndTime;
    private String eventLevel;
    private Integer greenId;
}
